### Enumeration

# Vips ForeignCoding

#### Declaration

    flags Vips.ForeignCoding

#### Description [src]

The set of coding types supported by a saver.

See also

`VipsCoding`.

#### Members

`VIPS_FOREIGN_CODING_NONE`

  Saver supports `VIPS_CODING_NONE`.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_CODING_LABQ`

  Saver supports `VIPS_CODING_LABQ`.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_CODING_RAD`

  Saver supports `VIPS_CODING_RAD`.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_CODING_ALL`

  Saver supports all coding types.

  - Value: `7`
  - Available since: 8.0